<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>Pentation Analytics</title>
    <meta content="" name="description">
    <meta content="" name="keywords">

    <!-- Favicons -->
    <link href="assets/img/favicon.png" rel="icon">
    <link href="assets/img/apple-touch-icon.png" rel="apple-touch-icon">

    <!-- Google Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,600;1,700&family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&family=Raleway:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap"
        rel="stylesheet">

    <!-- Vendor CSS Files -->
    <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
    <link href="assets/vendor/aos/aos.css" rel="stylesheet">
    <link href="assets/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
    <link href="assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <!-- Template Main CSS File -->
    <link href="assets/css/main2.css" rel="stylesheet">

  <script src="https://www.google.com/recaptcha/enterprise.js?render=6LfjpEYpAAAAAKg3X3ltF94AlfhBQpGeB7KDaYKf"></script>
  <!-- Your code -->

    <style>
        .bg-black {
            background-color: #000;
        }



        /* END CARD DESIGN */

        body {
            font-family: 'Open Sans', sans-serif;
            margin: 0;
            background-color: #eee;
            min-height: 100vh;
        }

        .btn i:before {
            width: 14px;
            height: 14px;
            position: fixed;
            color: #fff;
            background: #0077B5;
            padding: 10px;
            border-radius: 50%;
            top: 5px;
            right: 5px;
        }

        #particle-js {
            position: absolute;
            height: 180px;
            width: 100%;
        }

        ul.usage {
            list-style-type: none;
            padding: 0;
        }

        ul.usage li {
            position: relative;
            padding-left: 20px;
            margin-bottom: 8px;
            font-size: 20px;
        }

        ul.usage li::before {
            content: '>';
            position: absolute;
            left: 0;
            top: 50%;
            transform: translateY(-50%);
            margin-right: 5px;
            color: #bd9d63;
            font-size: 25px;
            font-weight: bold;
        }

        .heading {
            font-size: 70px;
            color: #fff;
            margin: 35px 0px;
        }
        @media screen and (max-width: 420px) {
            .heading {
                    font-size: 35px;
                    color: #fff;
                    margin: 15px 0px;
                }
            }
        .custom_card {
            width: 70%;
        }

        .desc {
            margin: 2px;
            background: #dcdcdc82;
            padding: 5px 10px;
            border-radius: 5px;
        }

        .first {
            font-size: 22px;
            font-weight: 600;
        }

        .thumbnail {
            -webkit-transform: scale(0.2);
            transform: scale(1);
            -webkit-transition: .3s ease-in-out;
            transition: .3s ease-in-out;
        }

        .thumbnail:is(:hover, :focus-visible) {

            /* transition: transform .5s cubic-bezier(0.4, 0, 0.2, 1); */
            -webkit-transform: scale(0.8);
            transform: scale(0.8);
        }
        #loading-overlay {
            display: none;
        }

        #loading-overlay {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(255, 255, 255, 0.8); /* Semi-transparent white background */
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 1000;
        }
        #loading-content {
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        #loading-icon {
            font-size: 2em;
            margin-bottom: 10px;
            color: #000; /* Blue color for the icon */
        }

        #loading-text {
            font-weight: bold;
        }

        .spinner {
            border: 8px solid rgba(0, 0, 0, 0.3); /* Light gray border */
            border-top: 8px solid #000; /* Blue border for spinner */
            border-radius: 50%;
            width: 50px;
            height: 50px;
            animation: spin 1s linear infinite; /* Rotation animation */
        }

        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
        
        .status{
            font-size: 14px;
            padding: 4px 8px;
            border-radius: 20px;
            font-weight: 600;
        }
        span.active{
            background: #e0fbf6;
            color: #58c2a9;
        }
        span.on_hold{
            color: rgb(255,193,7);
            background: #fff3cd;
        }   
        span.closed{
            background-color: #fde7ea;
            color : #e77f89;
        }
    </style>

</head>

<body>

    <?php include('header.php'); ?>

    <!-- End Header -->


    <main id="main">

        <section class="bg-black padding-0 position-relative">
            <div id="particle-js"></div>
            <div class="container text-center">
                <h1 class="heading">Careers</h1>
            </div>
        </section>

        <section class="p-2">
            <div class="row">
                <div class="col-lg-5">
                    <img src="assets/img/career1.jpg" class="img-fluid thumbnail" alt="" srcset="" data-aos="fade-right">
                </div>
                <div class="col-lg-7 py-5 px-3" data-aos="fade-left">
                    <h1 style="font-size: 55px;">Join Our Dynamic Team</h1>
                    <h5 class="mt-5" style="line-height: 2;">Be part of a vibrant team at Pentation Analytics, where
                        innovation and collaboration drive our success. Your career journey with us promises growth,
                        learning, and the chance to make a real impact in the dynamic field of data analytics.</h5>
                </div>
            </div>
            <div class="row bg-black">
                <div class="col-lg-7 color-fff py-5 px-5" data-aos="fade-right">
                    <h1 style="font-size: 55px;">Shape the Future of Analytics</h1>
                    <h5 class="mt-5" style="line-height: 1;">As a member of Pentation Analytics, you'll play a crucial
                        role in shaping the future of analytics in the insurance sector. Join us to work on cutting-edge
                        projects, utilize advanced technologies, and contribute to transformative solutions that
                        redefine industry standards.</h5>
                </div>
                <div class="col-lg-5" data-aos="fade-left">
                    <img src="assets/img/career2.jpg" class="img-fluid thumbnail" alt="" srcset="">
                </div>
            </div>
            <div class="container">
                <div class="row my-3">
                    <h2>Current Openings</h2>
                </div>
                <div class="row my-3 table-responsive">
                    <table class="table table-bordered">
                        <thead class="table-light">
                            <tr>
                                <th>Sr No</th>
                                <th>Department</th>
                                <th>Job Title</th>
                                <th>Experience</th>
                                <th>Location</th>
                                <th>Posting Date</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php 
                                $employees = [
                                    ['department' => 'Data Science', 'job_title' => 'Backend Developer (Python)', 'experience' => '1-3 Year', 'location' => 'Mumbai', 'status' => 1],
                                    ['department' => 'Data Science', 'job_title' => 'Backend Developer (Python)', 'experience' => '1-3 Year', 'location' => 'Kolkata','status' => 1],
        
                            
                                ];
                            ?>
                            <tr>
                                <?php 
                                $i = 1;
                                foreach ($employees as $employee) {
                                    echo '<td>'.$i.'</td>';
                                    echo '<td>'.$employee['department'].'</td>';
                                    echo '<td>'.$employee['job_title'].'</td>';
                                    echo '<td>'.$employee['experience'].'</td>';
                                    echo '<td>'.$employee['location'].'</td>';
                                    echo '<td>20 March 2024</td>';
                                   if ($employee['status'] == 1) {
                                        echo '<td><span class="status active">Active</span></td>';
                                    }elseif ($employee['status'] == 2) {
                                        echo '<td><span class="status on_hold">On hold</span></td>';
                                    }else {
                                        echo '<td><span class="status closed">Closed</span></td>';
                                    }
                                    echo '<td><button class="btn btn-dark btn-sm" data-bs-toggle="modal"
                                        data-bs-target="#exampleModal" data-bs-title="'.$employee['job_title'].'" data-bs-location="'.$employee['location'].'">Apply Now</button></td>';
                                ?>
                            </tr>
                            <?php $i++; } ?>
                           
                        </tbody>
                    </table>
                </div>
            </div>
        </section>



        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header bg-black color-fff">
                        <h5 class="modal-title" id="exampleModalLabel">New message</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">

                        <form class="row g-3 needs-validation justify-content-center" id="applicationForm" role="form" novalidate enctype='multipart/form-data'>
                            <div class="col-md-6">
                                <label for="jobTitle" class="form-label">Job Title </label>
                                <input type="text" class="form-control jobTitle" required disabled>
                                <input type="hidden" name="jobTitle" id="jobTitle">

                                <div class="invalid-feedback">
                                    Please provide a valid Job Title .
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label for="location" class="form-label">Location </label>
                                <input type="text" class="form-control location" required disabled>
                                <input type="hidden" name="location" id="location">
                                <div class="invalid-feedback">
                                    Please provide a valid location .
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label for="fname" class="form-label">Name</label>
                                <input type="text" class="form-control" id="fname" name="fname" value="" required>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label for="email" class="form-label">Email</label>
                                <div class="input-group has-validation">
                                    <span class="input-group-text" id="inputGroupPrepend">@</span>
                                    <input type="email" class="form-control" name="email" id="email"
                                        aria-describedby="inputGroupPrepend" required>
                                    <div class="invalid-feedback">
                                        Please provide a valid Email.
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label for="mobile" class="form-label">Mobile </label>
                                <input type="text" class="form-control" name="mobile" id="mobile" required>
                                <div class="invalid-feedback">
                                    Please provide a valid Mobile .
                                </div>
                            </div>            
                            <div class="col-md-6">
                                <label for="yearofExp" class="form-label">Total Years Experience</label>
                                <input type="text" class="form-control" name="yearofExp" id="yearofExp" value="" required>
                                <div class="invalid-feedback">
                                    Please provide a Total Years Experience .
                                </div>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label for="currComp" class="form-label">Current company</label>
                                <input type="text" class="form-control" name="currComp" id="currComp" value="" required>
                                <div class="invalid-feedback">
                                    Please provide a Current company Name .
                                </div>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label for="designation" class="form-label">Current Designation</label>
                                <input type="text" class="form-control" name="designation" id="designation" value="" required>
                                <div class="invalid-feedback">
                                    Please provide a Current Designation .
                                </div>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label for="ctc" class="form-label">Current CTC (Fixed)</label>
                                <input type="text" class="form-control" name="ctc" id="ctc" value="" required>
                                <div class="invalid-feedback">
                                    Please provide a Current CTC .
                                </div>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label for="ectc" class="form-label">Expected CTC</label>
                                <input type="text" class="form-control" name="ectc" id="ectc" value="" required>
                                <div class="invalid-feedback">
                                    Please provide a Expected CTC .
                                </div>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                            </div>
                            <div class="col-md-6">
                                <label for="noticePeriod" class="form-label">Notice Period</label>
                                <input type="text" class="form-control" name="noticePeriod" id="noticePeriod" value="" required>
                                <div class="invalid-feedback">
                                    Please provide a Notice Period .
                                </div>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                            </div>
                            <div class="col-md-6">
                                    <label for="resume" class="form-label">Updated CV</label>
                                    <div class="upload-files-container">
                                        <div class="drag-file-area d-flex flex-column">
                                            <!-- <span class="material-icons-outlined upload-icon"> file_upload </span> -->
                                            <h3 class="dynamic-message"> Drag & drop any file here </h3>
                                            <label class="label"> or <span class="browse-files"> <input type="file"
                                                        class="default-file-input form-control" name="file" id="file" required/> <span class="browse-files-text">browse
                                                        file</span> <span>from device</span> </span> </label>
                                                        <div class="invalid-feedback">
                                            Please provide a File .
                                        </div>
                                        </div>
                                        <span class="cannot-upload-message"> <span class="material-icons-outlined">error</span>
                                            Please select a file first <span
                                                class="material-icons-outlined cancel-alert-button">cancel</span> </span>
                                        <div class="file-block">
                                            <div class="file-info"> <span
                                                    class="material-icons-outlined file-icon">description</span> <span
                                                    class="file-name"> </span> | <span class="file-size"> </span> </div>
                                            <span class="material-icons remove-file-icon">delete</span>
                                            <div class="progress-bar"> </div>
                                        </div>
                                        <button type="button" class="upload-button"> Upload </button>
                                    </div>
                                    <div class="invalid-feedback">
                                            Please provide a Upload your Updated CV .
                                        </div>
                                    </div>
                            
                                    <div class="col-12">
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" value="" id="invalidCheck" required>
                                            <label class="form-check-label" for="invalidCheck">
                                                I hereby declare that the information provided is true and correct.
                                            </label>
                                            <div class="invalid-feedback">
                                                You must agree before submitting.
                                            </div>
                                        </div>
                            </div>
                            <div id="loading-overlay" style="display: none;">
                                <div id="loading-content">
                                    <i id="loading-icon" class="fas fa-spinner fa-spin"></i>
                                    <div id="loading-text">Loading...</div>
                                </div>
                            </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-dark">Apply</button>
                    </div>
                    </form>
                </div>
            </div>
        </div>

    </main><!-- End #main -->

    <!-- ======= Footer ======= -->
    <footer id="footer" class="footer" style="display: none;">

        <div class="container">
            <div class="row gy-4">
                <div class="col-lg-5 col-md-12 footer-info">
                    <a href="index.php" class="logo d-flex align-items-center">
                        <span>Impact</span>
                    </a>
                    <p>Cras fermentum odio eu feugiat lide par naso tierra. Justo eget nada terra videa magna derita
                        valies darta donna mare fermentum iaculis eu non diam phasellus.</p>
                    <div class="social-links d-flex mt-4">
                        <a href="#" class="twitter"><i class="bi bi-twitter"></i></a>
                        <a href="#" class="facebook"><i class="bi bi-facebook"></i></a>
                        <a href="#" class="instagram"><i class="bi bi-instagram"></i></a>
                        <a href="#" class="linkedin"><i class="bi bi-linkedin"></i></a>
                    </div>
                </div>

                <div class="col-lg-2 col-6 footer-links">
                    <h4>Useful Links</h4>
                    <ul>
                        <li><a href="#">Home</a></li>
                        <li><a href="about-us.php">About us</a></li>
                        <li><a href="#">Services</a></li>
                        <li><a href="#">Terms of service</a></li>
                        <li><a href="#">Privacy policy</a></li>
                    </ul>
                </div>

                <div class="col-lg-2 col-6 footer-links">
                    <h4>Our Services</h4>
                    <ul>
                        <li><a href="#">Web Design</a></li>
                        <li><a href="#">Web Development</a></li>
                        <li><a href="#">Product Management</a></li>
                        <li><a href="#">Marketing</a></li>
                        <li><a href="#">Graphic Design</a></li>
                    </ul>
                </div>

                <div class="col-lg-3 col-md-12 footer-contact text-center text-md-start">
                    <h4>Contact Us</h4>
                    <p>
                        A108 Adam Street <br>
                        New York, NY 535022<br>
                        United States <br><br>
                        <strong>Phone:</strong> +1 5589 55488 55<br>
                        <strong>Email:</strong> info@example.com<br>
                    </p>

                </div>

            </div>
        </div>

        <div class="container mt-4">
            <div class="copyright">
                &copy; Copyright <strong><span>Impact</span></strong>. All Rights Reserved
            </div>
            <div class="credits">
               
               
                
                
                Designed by <a href="https://bootstrapmade.com/">BootstrapMade</a>
            </div>
        </div>

    </footer><!-- End Footer -->
    <!-- End Footer -->

    <a href="#" class="scroll-top d-flex align-items-center justify-content-center"><i
            class="bi bi-arrow-up-short"></i></a>

    <div id="preloader"></div>

    <!-- Vendor JS Files -->
    <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="assets/vendor/aos/aos.js"></script>
    <script src="assets/vendor/glightbox/js/glightbox.min.js"></script>
    <script src="assets/vendor/purecounter/purecounter_vanilla.js"></script>
    <script src="assets/vendor/swiper/swiper-bundle.min.js"></script>
    <script src="assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
    <script src="assets/vendor/php-email-form/validate.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

    <!-- Template Main JS File -->
    <script src="assets/js/main.js"></script>
    <script src="https://cdn.jsdelivr.net/particles.js/2.0.0/particles.min.js"></script>
    <script>
        /* ---- particles.js config ---- */

        particlesJS("particle-js", {
            "particles": {
                "number": {
                    "value": 500,
                    "density": {
                        "enable": true,
                        "value_area": 800
                    }
                },
                "color": {
                    "value": "#bd9d63"
                },
                "fullScreen": {
                    "enable": "false",
                    "zIndex": "-1"
                },
                "shape": {
                    "type": "circle",
                    "stroke": {
                        "width": 1,
                        "color": "#000000"
                    },
                    "polygon": {
                        "nb_sides": 5
                    },
                    "image": {
                        "src": "img/github.svg",
                        "width": 100,
                        "height": 100
                    }
                },
                "opacity": {
                    "value": 2,
                    "random": false,
                    "anim": {
                        "enable": false,
                        "speed": 1,
                        "opacity_min": 0.1,
                        "sync": false
                    }
                },
                "size": {
                    "value": 6,
                    "random": true,
                    "anim": {
                        "enable": false,
                        "speed": 15,
                        "size_min": 0.1,
                        "sync": false
                    }
                },
                "line_linked": {
                    "enable": true,
                    "distance": 150,
                    "color": "#ffffff",
                    "opacity": 0.4,
                    "width": 1
                },
                "move": {
                    "enable": true,
                    "speed": 3,
                    "direction": "none",
                    "random": false,
                    "straight": false,
                    "out_mode": "out",
                    "bounce": false,
                    "attract": {
                        "enable": false,
                        "rotateX": 600,
                        "rotateY": 1200
                    }
                }
            },
            "interactivity": {
                "detect_on": "canvas",
                "events": {
                    "onhover": {
                        "enable": true,
                        "mode": "grab"
                    },
                    "onclick": {
                        "enable": true,
                        "mode": "push"
                    },
                    "resize": true
                },
                "modes": {
                    "grab": {
                        "distance": 140,
                        "line_linked": {
                            "opacity": 1
                        }
                    },
                    "bubble": {
                        "distance": 400,
                        "size": 40,
                        "duration": 2,
                        "opacity": 8,
                        "speed": 3
                    },
                    "repulse": {
                        "distance": 200,
                        "duration": 0.4
                    },
                    "push": {
                        "particles_nb": 4
                    },
                    "remove": {
                        "particles_nb": 2
                    }
                }
            },
            "retina_detect": true
        });


        /* ---- stats.js config ---- */
        $(".pentagon_about").hover(
            function () {
                $(this).addClass("expand");
            },
            function () {
                $(this).removeClass("expand");
            }
        );

        // Example starter JavaScript for disabling form submissions if there are invalid fields
        (function () {
            'use strict'

            // Fetch all the forms we want to apply custom Bootstrap validation styles to
            var forms = document.querySelectorAll('.needs-validation')

            // Loop over them and prevent submission
            Array.prototype.slice.call(forms)
                .forEach(function (form) {
                    form.addEventListener('submit', function (event) {
                        if (!form.checkValidity()) {
                            event.preventDefault()
                            event.stopPropagation()
                        }

                        form.classList.add('was-validated')
                    }, false)
                })
        })()

        var exampleModal = document.getElementById('exampleModal')
        exampleModal.addEventListener('show.bs.modal', function (event) {
            // Button that triggered the modal
            var button = event.relatedTarget
            // Extract info from data-bs-* attributes
            var title = button.getAttribute('data-bs-title')
            var location = button.getAttribute('data-bs-location')
            // If necessary, you could initiate an AJAX request here
            // and then do the updating in a callback.
            //
            // Update the modal's content.
            var modalTitle = exampleModal.querySelector('.modal-title');
            var jobTitle = exampleModal.querySelector('.jobTitle');
            var joblocation = exampleModal.querySelector('.location');

            jobTitle.value = title;
            joblocation.value = location;
            var jobTitle = $("#jobTitle");
            var jobLocation = $("#location");
            modalTitle.textContent = 'Apply for ' + title;
            $("#jobTitle").val(title);
            $("#location").val(location);
        });

        var isAdvancedUpload = function () {
            var div = document.createElement('div');
            return (('draggable' in div) || ('ondragstart' in div && 'ondrop' in div)) && 'FormData' in window && 'FileReader' in window;
        }();

        let draggableFileArea = document.querySelector(".drag-file-area");
        let browseFileText = document.querySelector(".browse-files");
        let uploadIcon = document.querySelector(".upload-icon");
        let dragDropText = document.querySelector(".dynamic-message");
        let fileInput = document.querySelector(".default-file-input");
        let cannotUploadMessage = document.querySelector(".cannot-upload-message");
        let cancelAlertButton = document.querySelector(".cancel-alert-button");
        let uploadedFile = document.querySelector(".file-block");
        let fileName = document.querySelector(".file-name");
        let fileSize = document.querySelector(".file-size");
        let progressBar = document.querySelector(".progress-bar");
        let removeFileButton = document.querySelector(".remove-file-icon");
        let uploadButton = document.querySelector(".upload-button");
        let fileFlag = 0;

        fileInput.addEventListener("click", () => {
            fileInput.value = '';
            console.log(fileInput.value);
        });

        fileInput.addEventListener("change", e => {
            console.log(" > " + fileInput.value)
            uploadIcon.innerHTML = 'check_circle';
            dragDropText.innerHTML = 'File Dropped Successfully!';
            document.querySelector(".label").innerHTML = `drag & drop or <span class="browse-files"> <input type="file" class="default-file-input" style=""/> <span class="browse-files-text" style="top: 0;"> browse file</span></span>`;
            uploadButton.innerHTML = `Upload`;
            fileName.innerHTML = fileInput.files[0].name;
            fileSize.innerHTML = (fileInput.files[0].size / 1024).toFixed(1) + " KB";
            uploadedFile.style.cssText = "display: flex;";
            progressBar.style.width = 0;
            fileFlag = 0;
        });

        uploadButton.addEventListener("click", () => {
            let isFileUploaded = fileInput.value;
            if (isFileUploaded != '') {
                if (fileFlag == 0) {
                    fileFlag = 1;
                    var width = 0;
                    var id = setInterval(frame, 50);
                    function frame() {
                        if (width >= 390) {
                            clearInterval(id);
                            uploadButton.innerHTML = `<span class="material-icons-outlined upload-button-icon bi bi-check-circle-fill"> </span> Uploaded`;
                        } else {
                            width += 5;
                            progressBar.style.width = width + "px";
                        }
                    }
                }
            } else {
                cannotUploadMessage.style.cssText = "display: flex; animation: fadeIn linear 1.5s;";
            }
        });

        cancelAlertButton.addEventListener("click", () => {
            cannotUploadMessage.style.cssText = "display: none;";
        });

        if (isAdvancedUpload) {
            ["drag", "dragstart", "dragend", "dragover", "dragenter", "dragleave", "drop"].forEach(evt =>
                draggableFileArea.addEventListener(evt, e => {
                    e.preventDefault();
                    e.stopPropagation();
                })
            );

            ["dragover", "dragenter"].forEach(evt => {
                draggableFileArea.addEventListener(evt, e => {
                    e.preventDefault();
                    e.stopPropagation();
                    uploadIcon.innerHTML = 'file_download';
                    dragDropText.innerHTML = 'Drop your file here!';
                });
            });

            draggableFileArea.addEventListener("drop", e => {
                uploadIcon.innerHTML = 'check_circle';
                dragDropText.innerHTML = 'File Dropped Successfully!';
                document.querySelector(".label").innerHTML = `drag & drop or <span class="browse-files"> <input type="file" class="default-file-input" style=""/> <span class="browse-files-text" style="top: -23px; left: -20px;"> browse file</span> </span>`;
                uploadButton.innerHTML = `Upload`;

                let files = e.dataTransfer.files;
                fileInput.files = files;
                console.log(files[0].name + " " + files[0].size);
                console.log(document.querySelector(".default-file-input").value);
                fileName.innerHTML = files[0].name;
                fileSize.innerHTML = (files[0].size / 1024).toFixed(1) + " KB";
                uploadedFile.style.cssText = "display: flex;";
                progressBar.style.width = 0;
                fileFlag = 0;
            });
        }

        removeFileButton.addEventListener("click", () => {
            uploadedFile.style.cssText = "display: none;";
            fileInput.value = '';
            uploadIcon.innerHTML = 'file_upload';
            dragDropText.innerHTML = 'Drag & drop any file here';
            document.querySelector(".label").innerHTML = `or <span class="browse-files"> <input type="file" class="default-file-input"/> <span class="browse-files-text">browse file</span> <span>from device</span> </span>`;
            uploadButton.innerHTML = `Upload`;
        });
    </script>

<script>
        // jQuery Ajax for form submission
        $(document).ready(function() {
            $('#applicationForm').submit(function(e) {
                e.preventDefault();
                              
                // Create FormData object to send files
                
                var formData = new FormData(this);
                if (!formData || formData.size == 0) {
                    alert("Please fill the form");
                    return;
                }

                var fileInput = document.querySelector(".default-file-input");
                var isFileUploaded = fileInput.value;

                if (isFileUploaded == ' ' || !isFileUploaded) {
                    alert("Please Upload Updated CV");
                    return;
                }
                var jobTitle = $("#jobTitle").val();
                var jobLocation = $("#location").val();

                formData.append("jobTitle", jobTitle);
                formData.append("location", jobLocation);
                console.log(formData);
                // Make Ajax request
                $.ajax({
                    type: 'POST',
                    url: 'forms/form.php',
                    data: formData,
                    contentType: false,
                    processData: false,
                    beforeSend: function(){
                        // Show the loading overlay with a spinning icon
                        $("#loading-icon").removeClass().addClass("fas fa-spinner fa-spin");
                        $("#loading-text").text("Loading...");
                        $("#loading-overlay").fadeIn();
                    },
                    success: function(response) {
                        $("#loading-icon").hide();
                        $("#loading-text").text("Sent successfully!");
                        $("#loading-overlay").fadeOut();
                    },
                    error: function(error) {
                        console.error(error);
                        // Handle error, e.g., show an error message
                        $("#loading-icon").removeClass().addClass("fas fa-times-circle");
                        $("#loading-text").text("Something Went wrong. ");
                        $("#loading-overlay").fadeOut();
                    }
                });
            });
        });
    </script>
</body>

</html>