<?php
//Import PHPMailer classes into the global namespace
//These must be at the top of your script, not inside a function
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

//Load Composer's autoloader
require 'vendor/autoload.php';

//Create an instance; passing `true` enables exceptions
$mail = new PHPMailer(true);
if ($_SERVER["REQUEST_METHOD"] === "POST") {
    // Get form data
    $jobTitle = $_POST['jobTitle'];
    $location = $_POST['location'];
    $name = $_POST['fname'];
    $email = $_POST['email'];
    $mobile = $_POST['mobile'];
    $yearofExp = $_POST['yearofExp'];
    $currComp = $_POST['currComp'];
    $designation = $_POST['designation'];
    $ctc = $_POST['ctc'];
    $ectc = $_POST['ectc'];
    $noticePeriod = $_POST['noticePeriod'];
   
    try {
    //Server settings
    $mail->SMTPDebug = 2;                      //Enable verbose debug output
    $mail->isSMTP();                                            //Send using SMTP
    $mail->Host       = 'smtp.gmail.com';                     //Set the SMTP server to send through
    $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
    $mail->Username   = 'arbaz.ansari.pentationanalytics@gmail.com';                     //SMTP username
    $mail->Password   = 'pdam ksja kapn ozjb';                               //SMTP password
    //$mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;            //Enable implicit TLS encryption
    //$mail->Port       = 465;                                    //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`
    $mail->SMTPSecure = 'tls';                            // Enable TLS encryption, `ssl` also accepted
    $mail->Port = 587;                                    // TCP port to connect to
    
    
    $mailer = $name ? $name : 'Job Application';
    //Recipients
    $mail->setFrom('arbaz.ansari@pentationanalytics.com', $mailer);
    $mail->addAddress('arbaz.ansari@pentationanalytics.com', 'Joe User');     //Add a recipient
    $mail->addAddress('akshata@pentationanalytics.com');               //Name is optional
    // $mail->addReplyTo('');
    // $mail->addCC('');
    // $mail->addBCC('');

    //Attachments
    //$mail->addAttachment('/var/tmp/file.tar.gz');         //Add attachments
    //$mail->addAttachment('/tmp/image.jpg', 'new.jpg');    //Optional name

    //Content
    $tableHTML = '<table border="1">
                <thead>
                <tr>
                    <th>Job Title</th>
                    <th>Location</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Mobile</th>
                    <th>Total Year of Exp</th>
                    <th>Current Company</th>
                    <th>Current Designation</th>
                    <th>Current CTC</th>
                    <th>Expected CTC</th>
                    <th>Notice Period</th>
                </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>' . htmlspecialchars($jobTitle) . '</td>
                        <td>' . htmlspecialchars($location) . '</td>
                        <td>' . htmlspecialchars($name) . '</td>
                        <td>' . htmlspecialchars($email) . '</td>
                        <td>' . htmlspecialchars($mobile) . '</td>
                        <td>' . htmlspecialchars($yearofExp) . '</td>
                        <td>' . htmlspecialchars($currComp) . '</td>
                        <td>' . htmlspecialchars($designation) . '</td>
                        <td>' . htmlspecialchars($ctc) . '</td>
                        <td>' . htmlspecialchars($ectc) . '</td>
                        <td>' . htmlspecialchars($noticePeriod) . '</td>
                    </tr>
                </tbody>
              </table>';

              if (isset($_FILES['file']) && $_FILES['file']['error'] === UPLOAD_ERR_OK) {
                    $file = $_FILES['file']['tmp_name'];
                    $filename = $_FILES['file']['name'];
                    $mail->addAttachment($file, $filename);
                }
    $mail->isHTML(true);                                  //Set email format to HTML
    $mail->Subject = 'Resume';
    $mail->Body    = $tableHTML;
    $mail->AltBody = 'This is the body in plain text for non-HTML mail clients';

    $mail->send();
    echo 'Message has been sent';
} catch (Exception $e) {
    echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
}
} else {
    // Redirect to the form if accessed directly without submission
    header("Location: index.php");
    exit();
}