<?php
//Import PHPMailer classes into the global namespace
//These must be at the top of your script, not inside a function
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

//Load Composer's autoloader
require 'vendor/autoload.php';
$response = array();
//Create an instance; passing `true` enables exceptions
$mail = new PHPMailer(true);
if ($_SERVER["REQUEST_METHOD"] === "POST") {
    // Get form data
    $name = $_POST['name'];
    $email = $_POST['email'];
    $message = $_POST['message'];
    try {
    //Server settings
    $mail->SMTPDebug = 2;                      //Enable verbose debug output
    $mail->isSMTP();                                            //Send using SMTP
    $mail->Host       = 'smtp.gmail.com';                     //Set the SMTP server to send through
    $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
    $mail->Username   = 'arbaz.ansari.pentationanalytics@gmail.com';                     //SMTP username
    $mail->Password   = 'pdam ksja kapn ozjb';                               //SMTP password
    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;            //Enable implicit TLS encryption
    //$mail->Port       = 587;                                    //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`
    //$mail->SMTPSecure = 'ssl';                            // Enable TLS encryption, `ssl` also accepted
    $mail->Port = 587;                                    // TCP port to connect to

    $mailer = $name ? $name : 'Enquiry';
    //Recipients
    $mail->setFrom('contactus@pentationanalytics.com', $mailer);
    $mail->addAddress('contactus@pentationanalytics.com', 'Joe User');     //Add a recipient
    // $mail->addAddress('ellen@example.com');               //Name is optional
    // $mail->addReplyTo('');
    // $mail->addCC('');
    // $mail->addBCC('');

    //Attachments
    //$mail->addAttachment('/var/tmp/file.tar.gz');         //Add attachments
    //$mail->addAttachment('/tmp/image.jpg', 'new.jpg');    //Optional name

    //Content
    $tableHTML = '<table border="1">
                <thead>
                <tr>
                    <th>Name</th>
                    <th>Email</th>
                    <th>message</th>
                </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>' . htmlspecialchars($name) . '</td>
                        <td>' . htmlspecialchars($email) . '</td>
                        <td>' . htmlspecialchars($message) . '</td>
                    </tr>
                </tbody>
              </table>';

    $mail->isHTML(true);                                  //Set email format to HTML
    $mail->Subject = 'Demo Request';
    $mail->Body    = $tableHTML;
    $mail->AltBody = 'This is the body in plain text for non-HTML mail clients';

    $mail->send();
    echo 'Message has been sent';
    $response['status'] = 'success';
    $response['message'] = 'Message has been sent';
} catch (Exception $e) {
    // If an exception occurs, add error message to the response array
    $response['status'] = 'error';
    $response['message'] = 'Message could not be sent. Mailer Error: ' . $mail->ErrorInfo;
}
} else {
    // Redirect to the form if accessed directly without submission
    //header("Location: index.php");
    exit();
}
// Send the response as JSON
header('Content-Type: application/json');
echo json_encode($response);