<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>Pentation Analytics</title>
    <meta content="" name="description">
    <meta content="" name="keywords">

    <!-- Favicons -->
    <link href="assets/img/favicon.png" rel="icon">
    <link href="assets/img/apple-touch-icon.png" rel="apple-touch-icon">

    <!-- Google Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,600;1,700&family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&family=Raleway:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap"
        rel="stylesheet">

    <!-- Vendor CSS Files -->
    <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
    <link href="assets/vendor/aos/aos.css" rel="stylesheet">
    <link href="assets/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
    <link href="assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
    <!-- Template Main CSS File -->
    <link href="assets/css/main2.css" rel="stylesheet">
    <style>
        .rotate {
            /* animation: rotation 9s infinite linear; */
            -webkit-animation: spin 15s linear infinite;
            -moz-animation: spin 15s linear infinite;
            animation: spin 15s linear infinite;
            /* filter: invert(); */
        }

        @keyframes rotation {
            from {
                transform: rotate(0deg);
            }

            to {
                transform: rotate(359deg);
            }
        }

        @-moz-keyframes spin {
            100% {
                -moz-transform: rotate(360deg);
            }
        }

        @-webkit-keyframes spin {
            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            100% {
                -webkit-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        .pentagon-container {
            position: relative;
            width: 200px;
            height: 200px;
            transform: translate(25%, 25%);
            animation: move-one 4s ease-in-out infinite;
        }

        @keyframes move-one {
            0% {
                -webkit-transform: translateX(0) translateY(5px);
                transform: translateX(0) translateY(5px)
            }

            50% {
                -webkit-transform: translateX(0) translateY(-5px);
                transform: translateX(0) translateY(-5px)
            }

            100% {
                -webkit-transform: translateX(0) translateY(5px);
                transform: translateX(0) translateY(5px)
            }
        }

        @-webkit-keyframes move-one {
            0% {
                -webkit-transform: translateX(0) translateY(5px);
                transform: translateX(0) translateY(5px)
            }

            50% {
                -webkit-transform: translateX(0) translateY(-5px);
                transform: translateX(0) translateY(-5px)
            }

            100% {
                -webkit-transform: translateX(0) translateY(5px);
                transform: translateX(0) translateY(5px)
            }
        }

        .pentagon {
            width: 369px;
            height: 350px;
            /* background-color: #000000; */
            background: linear-gradient(180deg, rgb(9 37 83) 60%, rgb(30 26 44 / 60%) 110%);
            clip-path: polygon(50% 0%, 100% 38%, 82% 100%, 18% 100%, 0% 38%);
            position: absolute;
        }

        .pentagon::before {
            content: '';
            position: absolute;
            border: solid #f39645;
            border-width: 0 2px 2px 0;
            display: inline-block;
            padding: 5px;
            transform: rotate(45deg);
        }



        .vertex {
            position: absolute;
            background-color: transparent;
            width: 85px;
            height: 85px;
            border-radius: 50%;
            transform: translate(-50%, -50%);
            z-index: 99;
            opacity: 0;
            transition: opacity 0.3s ease;
        }

        .vertex1 {
            transform: translate(-50%, -20%);
        }

        .vertex:hover {
            opacity: 1;
            visibility: visible;
        }

        .node {
            color: #fff;
            font-size: 1.5rem;
            float: left;
            padding-left: 15px;
            margin-top: 4px;
        }

        .vertex.highlighted {
            background-color: yellow;
            /* Change to the highlight color */
        }

        .arrow-1-2::before {
            top: 10%;
            left: 50%;
            transform-origin: 0% 100%;
        }


        .box-lg-border {
            border: 1px solid #bd9d63;
            padding: 30px;
            /* width: calc(100% - 5%); */
            transform: scaleX(0.9);
            margin-top: 5px;
            border-radius: 10px;
        }

        /* SLider text animation */
        .slider {
            background-color: transparent;
            text-align: center;
            position: relative;
            animation: slideColor 50s forwards infinite;
        }

        .caption {
            line-height: 40px;
            color: #fff;
            position: relative;
            top: 50%;
            transform: translateY(-50%);
            text-shadow: 0px 5px 5px rgba(0, 0, 0, .25);
            margin-left: -500px;
            left: -170;
        }

        .text-box {
            display: inline-block;
            position: relative;
            width: 100%;
        }

        .text-box div {
            display: inline-block;
            position: absolute;
            top: -200px;
            transform: rotateX(-90deg);
            opacity: 0;
            text-shadow: 0px 5px 5px rgba(0, 0, 0, .25);
            animation-timing-function: ease;
        }

        .text-box div:nth-child(1) {
            animation: rollDown 10s forwards infinite;
        }

        .text-box div:nth-child(2) {
            animation: rollDown2 10s forwards infinite;
        }

        .text-box div:nth-child(3) {
            animation: rollDown3 15s forwards infinite;
        }

        @keyframes rollDown {
            0% {
                top: -200px;
                transform: rotateX(-90deg);
            }

            11% {
                top: -74px;
                transform: rotateX(0deg);
                opacity: 1;
            }

            22% {
                top: -74px;
                transform: rotateX(0deg);
                opacity: 1;
            }

            33% {
                top: 50px;
                transform: rotateX(30deg);
                opacity: 0;
            }
        }

        @keyframes rollDown2 {
            33% {
                top: -200px;
                transform: rotateX(-90deg);
            }

            44% {
                top: -74px;
                transform: rotateX(0deg);
                opacity: 1;
            }

            55% {
                top: -74px;
                transform: rotateX(0deg);
                opacity: 1;
            }

            66% {
                top: 50px;
                transform: rotateX(30deg);
                opacity: 0;
            }
        }

        @keyframes rollDown3 {
            66% {
                top: -200px;
                transform: rotateX(-90deg);
            }

            77% {
                top: -74px;
                transform: rotateX(0deg);
                opacity: 1;
            }

            88% {
                top: -74px;
                transform: rotateX(0deg);
                opacity: 1;
            }

            99% {
                top: 50px;
                transform: rotateX(30deg);
                opacity: 0;
            }
        }

        @keyframes slideColor {
            0% {
                background-color: transparent;
            }

            33% {
                background-color: transparent;
            }

            66% {
                background-color: transparent;
            }

            100% {
                background-color: transparent;
            }
        }

        ul.usage {
            list-style-type: none;
            padding: 0;
        }

        ul.usage li {
            position: relative;
            padding-left: 20px;
            margin-bottom: 8px;
            font-size: 20px;
            text-align: left;
        }

        ul.usage li::before {
            content: '>';
            position: absolute;
            left: 0;
            top: 50%;
            transform: translateY(-50%);
            margin-right: 5px;
            color: #bd9d63;
            font-size: 25px;
            font-weight: bold;
        }
        @media screen and (max-width: 420px) {
            #particles-js {
            width: 70%;
            height: 265px;
            position: absolute;
            bottom: 33%;
            left: 15%;
            /* padding: 25px; */
            overflow: hidden;
            border-radius: 80%;
            }
        }
        @media screen and (min-width: 421px) and (max-width: 575px) {
            #particles-js {
            width: 70%;
            height: 300px;
            position: absolute;
            bottom: 33%;
            left: 15%;
            /* padding: 25px; */
            overflow: hidden;
            border-radius: 80%;
            }
            .Picture2 {
                width: 70%;
                position: absolute;
                margin-top: 20px;
            }
        }
        @media screen and (min-width: 576px) and (max-width: 767px) {            
            #particles-js {
                width: 38%;
                height: 280px;
                position: absolute;
                bottom: 35%;
                left: 30%;
                /* padding: 25px; */
                overflow: hidden;
                /* border-radius: 45%; */
            }
            .Picture2 {
                width: 52%;
                position: absolute;
                margin-top: 20px;
            }
        }
        
        @media screen and (min-width: 768px) {

            #particles-js {
                width: 15%;
                height: 200px;
                position: absolute;
                top: 56px;
                left: 65%;
                /* padding: 25px; */
                overflow: hidden;
                border-radius: 45%;
            }
        }
    </style>

</head>

<body>

    <?php include('header.php'); ?>

    <!-- ======= Hero Section ======= style="background-image: url('assets/img/pentagon.webp'); background-size: cover;"-->
    <section id="hero" class="hero" style="background-color: #000;">
        <div class="container ">
            <div class="row gy-5" data-aos="fade-in">
                <div class="col-lg-6 col-sm-12 col-xs-12 order-sm-1 order-lg-1 d-flex flex-column justify-content-center text-center text-lg-start text-div"
                    style="">
                    <div class="slider">
                        <div class="caption">

                            <div class="text-box">
                                <div>DELVERING BUSINESS OUTCOMES BY<br> HARNESSING DATA</div>
                                <div>BUILDING YOUR ORGANIZATIONAL <br>NERVOUS SYSTEM</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-sm-12 col-xs-12 order-sm-2 order-lg-2 d-flex justify-content-center">

                    <div class="d-flex justify-content-center">
                        <img src="assets/Picture1.png" class="Picture1" alt="" srcset="">
                        <img src="assets/Picture3.png" class="Picture2 rotate" alt="" srcset="">
                        <div class="vertex  " style="top: 10%">
                            <!-- <span class="node">1</span> -->
                            <div class="item-hints">
                                <div class="hint" data-position="1">
                                    <!-- is-hint -->
                                    <!-- <span class="hint-radius"></span>
                      <span class="hint-dot"></span> -->
                                    <div class="hint-content do--split-children">
                                        <ul>
                                            <li>Information Collection</li>
                                            <li>Intellgence Feedback</li>
                                            <li>Intellgence Consumption</li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="vertex " style="top: 30%; left: 82%;">
                            <!-- <span class="node">2</span> -->
                            <div class="item-hints">
                                <div class="hint" data-position="2">
                                    <!-- is-hint -->
                                    <!-- <span class="hint-radius"></span>
                      <span class="hint-dot"></span> -->
                                    <div class="hint-content do--split-children">
                                        <ul>
                                            <li>Information Collection</li>
                                            <li>Intellgence Feedback</li>
                                            <li>Intellgence Consumption</li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="vertex " style="top: 55%; left: 80%;">
                            <div class="item-hints">
                                <div class="hint" data-position="3">
                                    <!-- is-hint -->
                                    <!-- <span class="hint-radius"></span>
                      <span class="hint-dot"></span> -->
                                    <div class="hint-content do--split-children">
                                        <ul>
                                            <li>Information Collection</li>
                                            <li>Intellgence Feedback</li>
                                            <li>Intellgence Consumption</li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="vertex " style="top: 55%; left: 68%;">
                            <div class="item-hints">
                                <div class="hint" data-position="4">
                                    <!-- is-hint -->
                                    <!-- <span class="hint-radius"></span>
                      <span class="hint-dot"></span> -->
                                    <div class="hint-content do--split-children">
                                        <ul>
                                            <li>Information Collection</li>
                                            <li>Intellgence Feedback</li>
                                            <li>Intellgence Consumption</li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="vertex " style="top: 30%; left: 65%;">
                            <div class="item-hints">
                                <div class="hint" data-position="5">
                                    <!-- is-hint -->
                                    <!-- <span class="hint-radius"></span>
                      <span class="hint-dot"></span> -->
                                    <div class="hint-content do--split-children">
                                        <ul>
                                            <li>Information Collection</li>
                                            <li>Intellgence Feedback</li>
                                            <li>Intellgence Consumption</li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="particles-js"></div>
                        <div style="overflow: hidden;">
                        </div>
                    </div>
                    <div class="d-flex  text-lg-start" data-aos="fade-up" data-aos-delay="100">
                    </div>
                </div>

            </div>
        </div>

        <div class="icon-boxes position-relative my-3">
            <div class="container ">
                <div class="row d-flex align-items-center" style="justify-content: space-around;">

                    <div class="col-sm-12 col-xl-3 col-md-6" data-aos="zoom-in">
                        <div class="icon-box" style="height: 70px;">
                            <div class="icon"><i class="bi bi-easel"></i></div>
                            <h4 class="title"><a href="">Man Power</a></h4>
                            <!-- <ul class="description">
                                <li>Data Science</li>
                                <li>Analytics</li>
                                <li>Engineering</li>
                            </ul> -->
                        </div>
                    </div><!--End Icon Box -->

                    <div class="col-sm-12 col-xl-3 col-md-6" data-aos="zoom-in" data-aos-delay="100">
                        <div class="icon-box" style="height: 68px;">
                            <div class="icon"><a href="oneplatform.php" class="stretched-link"><img
                                        src="assets/img/logo_white.png" class="img-fluid py-1" alt="" srcset="" width="170"></a></div>
                            <h4 class="title"></h4>
                        </div>
                    </div><!--End Icon Box -->

                    <div class="col-sm-12 col-xl-3 col-md-6" data-aos="zoom-in" data-aos-delay="200">
                        <div class="icon-box" data-toggle="tooltip" data-placement="top" title="Tooltip on top">
                            <div class="icon"><i class="bi bi-geo-alt"></i></div>
                            <h4 class="title"><a href="" class="stretched-link">Services</a></h4>
                        </div>
                    </div><!--End Icon Box -->

                </div>
            </div>
            <div class="container my-3">
                <div class="row">
                    <div class="col-lg-12 box-lg-border text-center" style="cursor: pointer; padding: 5px;">
                        <h3 class="color-fff" data-bs-toggle="modal" data-bs-target="#exampleModal">Data Platform
                            Creation</h3>
                    </div>
                </div>
            </div>
        </div>

        </div>
    </section>
    <!-- End Hero Section -->
    <!--  <div class="item-hints">
    <div class="hint" data-position="4">

      <span class="hint-radius"></span>
      <span class="hint-dot"></span>
      <div class="hint-content do--split-children">
        <p>The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using 'Content here, content here', making it look like readable English.</p>
      </div>
    </div>
  </div> -->
    <main id="main">

        <!-- ======= About Us Section ======= -->
        <section id="about" class="about">
            <div class="container">

                <div class="section-header">
                    <!-- <h2>About Us</h2> -->
                    <h2 class="text-uppercase">Enhancing Your Organizational Intellgence</h2>
                </div>

                <div class="row gy-4">
                    <!--                     <div class="about_bg">

                    </div> -->
                    <div class="col-lg-6 text-center" data-aos="fade-right">
                        <!-- <h3>Enhancing Your Organizational Intellgence</h3> -->
                        <img src="assets/img/about.jpg" class="img-fluid rounded-4 mb-4" alt="" style="height: 300px;">

                    </div>
                    <div class="col-lg-6 " data-aos="fade-left">
                        <div class="content ps-0 ps-lg-5">
                            <h4 class="font-400 line-height-1">
                                Data initiatives in many cases falter not due to shortcomings in intelligence creation
                                but rather due to poor consumption of intelligence. The key lies in adopting an
                                Organizational Nervous System, which prioritizes the seamless flow of insights,
                                ultimately bolstering organizational intelligence. This singular shift can revolutionize
                                your data strategy, driving success in a data-richworld.</h4>
                            <!-- <h5>Founded in 2015 by industry veterans, Pentation Analytics emerged from the need for
                                advanced data analytics in the
                                insurance sector. We disrupted the market with our proprietary products, earning
                                recognition and offering ML-based
                                SaaS and enterprise applications. Our deep domain expertise, big data tech, and machine
                                learning have positioned us
                                as a leader in data analytics, with numerous awards and a strong national presence in
                                the field.</h5> -->
                        </div>
                    </div>
                </div>

            </div>
        </section><!-- End About Us Section -->

        <!-- ======= Clients Section ======= -->
        <section id="clients" class="clients" style="display: none;">
            <div class="container" data-aos="zoom-out">

                <div class="clients-slider swiper">
                    <div class="swiper-wrapper align-items-center">
                        <div class="swiper-slide"><img src="assets/img/clients/client-1.png" class="img-fluid" alt="">
                        </div>
                        <div class="swiper-slide"><img src="assets/img/clients/client-2.png" class="img-fluid" alt="">
                        </div>
                        <div class="swiper-slide"><img src="assets/img/clients/client-3.png" class="img-fluid" alt="">
                        </div>
                        <div class="swiper-slide"><img src="assets/img/clients/client-4.png" class="img-fluid" alt="">
                        </div>
                        <div class="swiper-slide"><img src="assets/img/clients/client-5.png" class="img-fluid" alt="">
                        </div>
                        <div class="swiper-slide"><img src="assets/img/clients/client-6.png" class="img-fluid" alt="">
                        </div>
                        <div class="swiper-slide"><img src="assets/img/clients/client-7.png" class="img-fluid" alt="">
                        </div>
                        <div class="swiper-slide"><img src="assets/img/clients/client-8.png" class="img-fluid" alt="">
                        </div>
                    </div>
                </div>

            </div>
        </section><!-- End Clients Section -->

        <!-- ======= Stats Counter Section ======= -->
        <section id="stats-counter" class="stats-counter" style="display: none;">
            <div class="container" data-aos="fade-up">

                <div class="row gy-4 align-items-center">

                    <div class="col-lg-6">
                        <img src="assets/img/stats-img.svg" alt="" class="img-fluid">
                    </div>

                    <div class="col-lg-6">

                        <div class="stats-item d-flex align-items-center">
                            <span data-purecounter-start="0" data-purecounter-end="232" data-purecounter-duration="1"
                                class="purecounter"></span>
                            <p><strong>Happy Clients</strong> consequuntur quae diredo para mesta</p>
                        </div><!-- End Stats Item -->

                        <div class="stats-item d-flex align-items-center">
                            <span data-purecounter-start="0" data-purecounter-end="521" data-purecounter-duration="1"
                                class="purecounter"></span>
                            <p><strong>Projects</strong> adipisci atque cum quia aut</p>
                        </div><!-- End Stats Item -->

                        <div class="stats-item d-flex align-items-center">
                            <span data-purecounter-start="0" data-purecounter-end="453" data-purecounter-duration="1"
                                class="purecounter"></span>
                            <p><strong>Hours Of Support</strong> aut commodi quaerat</p>
                        </div><!-- End Stats Item -->

                    </div>

                </div>

            </div>
        </section><!-- End Stats Counter Section -->

        <!-- ======= Call To Action Section ======= -->
        <section id="call-to-action" class="call-to-action" style="display: none;">
            <div class="container text-center" data-aos="zoom-out">
                <a href="https://www.youtube.com/watch?v=LXb3EKWsInQ" class="glightbox play-btn"></a>
                <h3>Call To Action</h3>
                <p> Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
                    pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit
                    anim id est laborum.</p>
                <a class="cta-btn" href="#">Call To Action</a>
            </div>
        </section><!-- End Call To Action Section -->

        <!-- ======= Our Services Section ======= -->
        <section id="services" class="services sections-bg">
            <div class="container" data-aos="fade-up">

                <div class="section-header">
                    <h2>Our Offerings</h2>
                </div>
                <div class="row">

                    <div class="col-lg-6">
                        <h4 class="text-start" style="font-weight: 400;">Our offerings consisting of products and
                            services
                            can help you create an Organizational Nervous
                            System that amplifies your organisational
                            intelligence. We streamline data collection,
                            transform it into actionable insights, ensure
                            widespread distribution, facilitate easy and
                            personalised consumption, and promote
                            continuous learning. This integrated approach
                            fortifies your organization with agility, resilience,
                            efficiency, innovation, and a competitive
                            edge.</h4>
                    </div>
                    <div class="col-lg-6">
                        <img src="assets/img/offerings.png" class="img-fluid" alt="" srcset="">
                    </div>

                    <div class="row">
                        <div class="section-header">
                            <h2 style="    margin-bottom: 10px;
                            margin-top: 40px;">Pentation OnePlatform</h2>
                            <h4 style="margin: 0px;">"One Platform, Many Use Cases"</h4>
                        </div>
                        <div class="col-lg-4 text-center">
                            <img src="assets/img/one.png" class="img-fluid" alt="" width="55%">
                        </div>
                        <div class="col-lg-8">
                            <h4 class="font-weight-bold" style="padding: 0px;"></h4>

                            <ul class="usage">
                                <li>Aggregates a wide spectrum of data sources. Integrating <b> multiple pre-configured
                                        solutions</b> within a single platform.</li>
                                <li> Offering in-depth, readily accessible <b> business intelligence </b>regarding the
                                    health and state of your business</li>
                                <li>Actionables focused powerful and personalised <b> triggers </b>that facilitates easy
                                    consumption.</li>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="row gy-4 d-none" data-aos="fade-up" data-aos-delay="100">

                    <div class="col-lg-4 col-md-6">
                        <div class="service-item  position-relative">
                            <div class="icon">
                                <i class="bi bi-activity"></i>
                            </div>
                            <h3>Nesciunt Mete</h3>
                            <p>Provident nihil minus qui consequatur non omnis maiores. Eos accusantium minus dolores
                                iure perferendis tempore et consequatur.</p>
                            <a href="#" class="readmore stretched-link">Read more <i class="bi bi-arrow-right"></i></a>
                        </div>
                    </div><!-- End Service Item -->

                    <div class="col-lg-4 col-md-6">
                        <div class="service-item position-relative">
                            <div class="icon">
                                <i class="bi bi-broadcast"></i>
                            </div>
                            <h3>Eosle Commodi</h3>
                            <p>Ut autem aut autem non a. Sint sint sit facilis nam iusto sint. Libero corrupti neque eum
                                hic non ut nesciunt dolorem.</p>
                            <a href="#" class="readmore stretched-link">Read more <i class="bi bi-arrow-right"></i></a>
                        </div>
                    </div><!-- End Service Item -->

                    <div class="col-lg-4 col-md-6">
                        <div class="service-item position-relative">
                            <div class="icon">
                                <i class="bi bi-easel"></i>
                            </div>
                            <h3>Ledo Markt</h3>
                            <p>Ut excepturi voluptatem nisi sed. Quidem fuga consequatur. Minus ea aut. Vel qui id
                                voluptas adipisci eos earum corrupti.</p>
                            <a href="#" class="readmore stretched-link">Read more <i class="bi bi-arrow-right"></i></a>
                        </div>
                    </div><!-- End Service Item -->

                    <div class="col-lg-4 col-md-6">
                        <div class="service-item position-relative">
                            <div class="icon">
                                <i class="bi bi-bounding-box-circles"></i>
                            </div>
                            <h3>Asperiores Commodit</h3>
                            <p>Non et temporibus minus omnis sed dolor esse consequatur. Cupiditate sed error ea fuga
                                sit provident adipisci neque.</p>
                            <a href="#" class="readmore stretched-link">Read more <i class="bi bi-arrow-right"></i></a>
                        </div>
                    </div><!-- End Service Item -->

                    <div class="col-lg-4 col-md-6">
                        <div class="service-item position-relative">
                            <div class="icon">
                                <i class="bi bi-calendar4-week"></i>
                            </div>
                            <h3>Velit Doloremque</h3>
                            <p>Cumque et suscipit saepe. Est maiores autem enim facilis ut aut ipsam corporis aut. Sed
                                animi at autem alias eius labore.</p>
                            <a href="#" class="readmore stretched-link">Read more <i class="bi bi-arrow-right"></i></a>
                        </div>
                    </div><!-- End Service Item -->

                    <div class="col-lg-4 col-md-6">
                        <div class="service-item position-relative">
                            <div class="icon">
                                <i class="bi bi-chat-square-text"></i>
                            </div>
                            <h3>Dolori Architecto</h3>
                            <p>Hic molestias ea quibusdam eos. Fugiat enim doloremque aut neque non et debitis iure.
                                Corrupti recusandae ducimus enim.</p>
                            <a href="#" class="readmore stretched-link">Read more <i class="bi bi-arrow-right"></i></a>
                        </div>
                    </div><!-- End Service Item -->

                </div>

                <div class="row gy-4" data-aos="fade-up" data-aos-delay="100">
                    <div class="section-header">
                        <h2 class="my-5 d-none">Our Services</h2>


                    </div>
                    <div class="col-lg-4">
                        <h2>Our Services</h2>
                        <h3 style="font-size: 20px;
                       
                        transform: translateY(40%);
                        font-weight: 400;">
                            Pentation OnePlatform is complemented with our strong services team. Any use case not part
                            of Pentation OnePlatform gets implemented by our services team while staying aligned with
                            the framework of Organisational Nervous System.
                        </h3>
                    </div>
                    <div class="col-lg-4 text-center">
                        <img src="assets/img/services.png" class="img-fluid" alt="" srcset="" width="60%">
                    </div>
                    <div class="col-lg-4">
                        <h2 class="">Manpower</h2>

                        <ul class="usage" style="margin-top: 55px;">
                            <li>Time-bound/ non-timebound</li>
                            <li> Senior Data Scientist as a 'Coach'.</li>
                            <li>Availability of backup</li>
                            <li>Rapid replacement in case of attrition</li>
                        </ul>
                    </div>
                </div>



                <div class="row gy-4" data-aos="fade-up">
                    <div class="section-header">
                        <h2 class="my-5">Data Platform Creation</h2>

                        <div class="col-lg-12">
                            <img src="assets/img/data_platform.png" alt="" srcset="" class="img-fluid">
                        </div>
                    </div>
                </div>
        </section><!-- End Our Services Section -->

        <!-- ======= Testimonials Section ======= -->
        <section id="testimonials" class="testimonials" style="display: none;">
            <div class="container" data-aos="fade-up">

                <div class="section-header">
                    <h2>Testimonials</h2>
                    <p>Voluptatem quibusdam ut ullam perferendis repellat non ut consequuntur est eveniet deleniti
                        fignissimos eos quam</p>
                </div>

                <div class="slides-3 swiper" data-aos="fade-up" data-aos-delay="100">
                    <div class="swiper-wrapper">

                        <div class="swiper-slide">
                            <div class="testimonial-wrap">
                                <div class="testimonial-item">
                                    <div class="d-flex align-items-center">
                                        <img src="assets/img/testimonials/testimonials-1.jpg"
                                            class="testimonial-img flex-shrink-0" alt="">
                                        <div>
                                            <h3>Saul Goodman</h3>
                                            <h4>Ceo &amp; Founder</h4>
                                            <div class="stars">
                                                <i class="bi bi-star-fill"></i><i class="bi bi-star-fill"></i><i
                                                    class="bi bi-star-fill"></i><i class="bi bi-star-fill"></i><i
                                                    class="bi bi-star-fill"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <p>
                                        <i class="bi bi-quote quote-icon-left"></i>
                                        Proin iaculis purus consequat sem cure digni ssim donec porttitora entum
                                        suscipit rhoncus. Accusantium quam, ultricies eget id, aliquam eget nibh et.
                                        Maecen aliquam, risus at semper.
                                        <i class="bi bi-quote quote-icon-right"></i>
                                    </p>
                                </div>
                            </div>
                        </div><!-- End testimonial item -->

                        <div class="swiper-slide">
                            <div class="testimonial-wrap">
                                <div class="testimonial-item">
                                    <div class="d-flex align-items-center">
                                        <img src="assets/img/testimonials/testimonials-2.jpg"
                                            class="testimonial-img flex-shrink-0" alt="">
                                        <div>
                                            <h3>Sara Wilsson</h3>
                                            <h4>Designer</h4>
                                            <div class="stars">
                                                <i class="bi bi-star-fill"></i><i class="bi bi-star-fill"></i><i
                                                    class="bi bi-star-fill"></i><i class="bi bi-star-fill"></i><i
                                                    class="bi bi-star-fill"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <p>
                                        <i class="bi bi-quote quote-icon-left"></i>
                                        Export tempor illum tamen malis malis eram quae irure esse labore quem cillum
                                        quid cillum eram malis quorum velit fore eram velit sunt aliqua noster fugiat
                                        irure amet legam anim culpa.
                                        <i class="bi bi-quote quote-icon-right"></i>
                                    </p>
                                </div>
                            </div>
                        </div><!-- End testimonial item -->

                        <div class="swiper-slide">
                            <div class="testimonial-wrap">
                                <div class="testimonial-item">
                                    <div class="d-flex align-items-center">
                                        <img src="assets/img/testimonials/testimonials-3.jpg"
                                            class="testimonial-img flex-shrink-0" alt="">
                                        <div>
                                            <h3>Jena Karlis</h3>
                                            <h4>Store Owner</h4>
                                            <div class="stars">
                                                <i class="bi bi-star-fill"></i><i class="bi bi-star-fill"></i><i
                                                    class="bi bi-star-fill"></i><i class="bi bi-star-fill"></i><i
                                                    class="bi bi-star-fill"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <p>
                                        <i class="bi bi-quote quote-icon-left"></i>
                                        Enim nisi quem export duis labore cillum quae magna enim sint quorum nulla quem
                                        veniam duis minim tempor labore quem eram duis noster aute amet eram fore quis
                                        sint minim.
                                        <i class="bi bi-quote quote-icon-right"></i>
                                    </p>
                                </div>
                            </div>
                        </div><!-- End testimonial item -->

                        <div class="swiper-slide">
                            <div class="testimonial-wrap">
                                <div class="testimonial-item">
                                    <div class="d-flex align-items-center">
                                        <img src="assets/img/testimonials/testimonials-4.jpg"
                                            class="testimonial-img flex-shrink-0" alt="">
                                        <div>
                                            <h3>Matt Brandon</h3>
                                            <h4>Freelancer</h4>
                                            <div class="stars">
                                                <i class="bi bi-star-fill"></i><i class="bi bi-star-fill"></i><i
                                                    class="bi bi-star-fill"></i><i class="bi bi-star-fill"></i><i
                                                    class="bi bi-star-fill"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <p>
                                        <i class="bi bi-quote quote-icon-left"></i>
                                        Fugiat enim eram quae cillum dolore dolor amet nulla culpa multos export minim
                                        fugiat minim velit minim dolor enim duis veniam ipsum anim magna sunt elit fore
                                        quem dolore.
                                        <i class="bi bi-quote quote-icon-right"></i>
                                    </p>
                                </div>
                            </div>
                        </div><!-- End testimonial item -->

                        <div class="swiper-slide">
                            <div class="testimonial-wrap">
                                <div class="testimonial-item">
                                    <div class="d-flex align-items-center">
                                        <img src="assets/img/testimonials/testimonials-5.jpg"
                                            class="testimonial-img flex-shrink-0" alt="">
                                        <div>
                                            <h3>John Larson</h3>
                                            <h4>Entrepreneur</h4>
                                            <div class="stars">
                                                <i class="bi bi-star-fill"></i><i class="bi bi-star-fill"></i><i
                                                    class="bi bi-star-fill"></i><i class="bi bi-star-fill"></i><i
                                                    class="bi bi-star-fill"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <p>
                                        <i class="bi bi-quote quote-icon-left"></i>
                                        Quis quorum aliqua sint quem legam fore sunt eram irure aliqua veniam tempor
                                        noster veniam enim culpa labore duis sunt culpa nulla illum cillum fugiat legam
                                        esse veniam culpa fore.
                                        <i class="bi bi-quote quote-icon-right"></i>
                                    </p>
                                </div>
                            </div>
                        </div><!-- End testimonial item -->

                    </div>
                    <div class="swiper-pagination"></div>
                </div>

            </div>
        </section><!-- End Testimonials Section -->

        <!-- ======= Portfolio Section ======= -->
        <section id="portfolio" class="portfolio sections-bg" style="display: none;">
            <div class="container" data-aos="fade-up">

                <div class="section-header">
                    <h2>Portfolio</h2>
                    <p>Quam sed id excepturi ccusantium dolorem ut quis dolores nisi llum nostrum enim velit qui ut et
                        autem uia reprehenderit sunt deleniti</p>
                </div>

                <div class="portfolio-isotope" data-portfolio-filter="*" data-portfolio-layout="masonry"
                    data-portfolio-sort="original-order" data-aos="fade-up" data-aos-delay="100">

                    <div>
                        <ul class="portfolio-flters">
                            <li data-filter="*" class="filter-active">All</li>
                            <li data-filter=".filter-app">App</li>
                            <li data-filter=".filter-product">Product</li>
                            <li data-filter=".filter-branding">Branding</li>
                            <li data-filter=".filter-books">Books</li>
                        </ul><!-- End Portfolio Filters -->
                    </div>

                    <div class="row gy-4 portfolio-container">

                        <div class="col-xl-4 col-md-6 portfolio-item filter-app">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/app-1.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/app-1.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">App 1</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-product">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/product-1.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/product-1.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">Product 1</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-branding">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/branding-1.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/branding-1.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">Branding 1</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-books">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/books-1.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/books-1.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">Books 1</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-app">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/app-2.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/app-2.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">App 2</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-product">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/product-2.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/product-2.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">Product 2</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-branding">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/branding-2.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/branding-2.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">Branding 2</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-books">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/books-2.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/books-2.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">Books 2</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-app">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/app-3.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/app-3.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">App 3</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-product">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/product-3.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/product-3.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">Product 3</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-branding">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/branding-3.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/branding-3.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">Branding 3</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                        <div class="col-xl-4 col-md-6 portfolio-item filter-books">
                            <div class="portfolio-wrap">
                                <a href="assets/img/portfolio/books-3.jpg" data-gallery="portfolio-gallery-app"
                                    class="glightbox"><img src="assets/img/portfolio/books-3.jpg" class="img-fluid"
                                        alt=""></a>
                                <div class="portfolio-info">
                                    <h4><a href="portfolio-details.html" title="More Details">Books 3</a></h4>
                                    <p>Lorem ipsum, dolor sit amet consectetur</p>
                                </div>
                            </div>
                        </div><!-- End Portfolio Item -->

                    </div><!-- End Portfolio Container -->

                </div>

            </div>
        </section><!-- End Portfolio Section -->

        <!-- ======= Our Team Section ======= -->
        <section id="team" class="team" style="display: none;">
            <div class="container" data-aos="fade-up">

                <div class="section-header">
                    <h2>Our Team</h2>

                </div>

                <div class="row gy-4">

                    <div class="col-xl-3 col-md-6 d-flex" data-aos="fade-up" data-aos-delay="100">
                        <div class="member">
                            <img src="assets/img/team/team-1.jpg" class="img-fluid" alt="">
                            <h4>Walter White</h4>
                            <span>Web Development</span>
                            <div class="social">
                                <a href=""><i class="bi bi-twitter"></i></a>
                                <a href=""><i class="bi bi-facebook"></i></a>
                                <a href=""><i class="bi bi-instagram"></i></a>
                                <a href=""><i class="bi bi-linkedin"></i></a>
                            </div>
                        </div>
                    </div><!-- End Team Member -->

                    <div class="col-xl-3 col-md-6 d-flex" data-aos="fade-up" data-aos-delay="200">
                        <div class="member">
                            <img src="assets/img/team/team-2.jpg" class="img-fluid" alt="">
                            <h4>Sarah Jhinson</h4>
                            <span>Marketing</span>
                            <div class="social">
                                <a href=""><i class="bi bi-twitter"></i></a>
                                <a href=""><i class="bi bi-facebook"></i></a>
                                <a href=""><i class="bi bi-instagram"></i></a>
                                <a href=""><i class="bi bi-linkedin"></i></a>
                            </div>
                        </div>
                    </div><!-- End Team Member -->

                    <div class="col-xl-3 col-md-6 d-flex" data-aos="fade-up" data-aos-delay="300">
                        <div class="member">
                            <img src="assets/img/team/team-3.jpg" class="img-fluid" alt="">
                            <h4>William Anderson</h4>
                            <span>Content</span>
                            <div class="social">
                                <a href=""><i class="bi bi-twitter"></i></a>
                                <a href=""><i class="bi bi-facebook"></i></a>
                                <a href=""><i class="bi bi-instagram"></i></a>
                                <a href=""><i class="bi bi-linkedin"></i></a>
                            </div>
                        </div>
                    </div><!-- End Team Member -->

                    <div class="col-xl-3 col-md-6 d-flex" data-aos="fade-up" data-aos-delay="400">
                        <div class="member">
                            <img src="assets/img/team/team-4.jpg" class="img-fluid" alt="">
                            <h4>Amanda Jepson</h4>
                            <span>Accountant</span>
                            <div class="social">
                                <a href=""><i class="bi bi-twitter"></i></a>
                                <a href=""><i class="bi bi-facebook"></i></a>
                                <a href=""><i class="bi bi-instagram"></i></a>
                                <a href=""><i class="bi bi-linkedin"></i></a>
                            </div>
                        </div>
                    </div><!-- End Team Member -->

                </div>

            </div>
        </section><!-- End Our Team Section -->

        <!-- ======= Pricing Section ======= -->
        <section id="pricing" class="pricing sections-bg" style="display: none;">
            <div class="container" data-aos="fade-up">

                <div class="section-header">
                    <h2>Pricing</h2>
                    <p>Aperiam dolorum et et wuia molestias qui eveniet numquam nihil porro incidunt dolores placeat
                        sunt id nobis omnis tiledo stran delop</p>
                </div>

                <div class="row g-4 py-lg-5" data-aos="zoom-out" data-aos-delay="100">

                    <div class="col-lg-4">
                        <div class="pricing-item">
                            <h3>Free Plan</h3>
                            <div class="icon">
                                <i class="bi bi-box"></i>
                            </div>
                            <h4><sup>$</sup>0<span> / month</span></h4>
                            <ul>
                                <li><i class="bi bi-check"></i> Quam adipiscing vitae proin</li>
                                <li><i class="bi bi-check"></i> Nec feugiat nisl pretium</li>
                                <li><i class="bi bi-check"></i> Nulla at volutpat diam uteera</li>
                                <li class="na"><i class="bi bi-x"></i> <span>Pharetra massa massa ultricies</span></li>
                                <li class="na"><i class="bi bi-x"></i> <span>Massa ultricies mi quis hendrerit</span>
                                </li>
                            </ul>
                            <div class="text-center"><a href="#" class="buy-btn">Buy Now</a></div>
                        </div>
                    </div><!-- End Pricing Item -->

                    <div class="col-lg-4">
                        <div class="pricing-item featured">
                            <h3>Business Plan</h3>
                            <div class="icon">
                                <i class="bi bi-airplane"></i>
                            </div>

                            <h4><sup>$</sup>29<span> / month</span></h4>
                            <ul>
                                <li><i class="bi bi-check"></i> Quam adipiscing vitae proin</li>
                                <li><i class="bi bi-check"></i> Nec feugiat nisl pretium</li>
                                <li><i class="bi bi-check"></i> Nulla at volutpat diam uteera</li>
                                <li><i class="bi bi-check"></i> Pharetra massa massa ultricies</li>
                                <li><i class="bi bi-check"></i> Massa ultricies mi quis hendrerit</li>
                            </ul>
                            <div class="text-center"><a href="#" class="buy-btn">Buy Now</a></div>
                        </div>
                    </div><!-- End Pricing Item -->

                    <div class="col-lg-4">
                        <div class="pricing-item">
                            <h3>Developer Plan</h3>
                            <div class="icon">
                                <i class="bi bi-send"></i>
                            </div>
                            <h4><sup>$</sup>49<span> / month</span></h4>
                            <ul>
                                <li><i class="bi bi-check"></i> Quam adipiscing vitae proin</li>
                                <li><i class="bi bi-check"></i> Nec feugiat nisl pretium</li>
                                <li><i class="bi bi-check"></i> Nulla at volutpat diam uteera</li>
                                <li><i class="bi bi-check"></i> Pharetra massa massa ultricies</li>
                                <li><i class="bi bi-check"></i> Massa ultricies mi quis hendrerit</li>
                            </ul>
                            <div class="text-center"><a href="#" class="buy-btn">Buy Now</a></div>
                        </div>
                    </div><!-- End Pricing Item -->

                </div>

            </div>
        </section><!-- End Pricing Section -->

        <!-- ======= Frequently Asked Questions Section ======= -->
        <section id="faq" class="faq" style="display: none;">
            <div class="container" data-aos="fade-up">

                <div class="row gy-4">

                    <div class="col-lg-4">
                        <div class="content px-xl-5">
                            <h3>Frequently Asked <strong>Questions</strong></h3>
                            <p>
                                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor
                                incididunt ut labore et dolore magna aliqua. Duis aute irure dolor in reprehenderit
                            </p>
                        </div>
                    </div>

                    <div class="col-lg-8">

                        <div class="accordion accordion-flush" id="faqlist" data-aos="fade-up" data-aos-delay="100">

                            <div class="accordion-item">
                                <h3 class="accordion-header">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#faq-content-1">
                                        <span class="num">1.</span>
                                        Non consectetur a erat nam at lectus urna duis?
                                    </button>
                                </h3>
                                <div id="faq-content-1" class="accordion-collapse collapse" data-bs-parent="#faqlist">
                                    <div class="accordion-body">
                                        Feugiat pretium nibh ipsum consequat. Tempus iaculis urna id volutpat lacus
                                        laoreet non curabitur gravida. Venenatis lectus magna fringilla urna porttitor
                                        rhoncus dolor purus non.
                                    </div>
                                </div>
                            </div><!-- # Faq item-->

                            <div class="accordion-item">
                                <h3 class="accordion-header">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#faq-content-2">
                                        <span class="num">2.</span>
                                        Feugiat scelerisque varius morbi enim nunc faucibus a pellentesque?
                                    </button>
                                </h3>
                                <div id="faq-content-2" class="accordion-collapse collapse" data-bs-parent="#faqlist">
                                    <div class="accordion-body">
                                        Dolor sit amet consectetur adipiscing elit pellentesque habitant morbi. Id
                                        interdum velit laoreet id donec ultrices. Fringilla phasellus faucibus
                                        scelerisque eleifend donec pretium. Est pellentesque elit ullamcorper dignissim.
                                        Mauris ultrices eros in cursus turpis massa tincidunt dui.
                                    </div>
                                </div>
                            </div><!-- # Faq item-->

                            <div class="accordion-item">
                                <h3 class="accordion-header">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#faq-content-3">
                                        <span class="num">3.</span>
                                        Dolor sit amet consectetur adipiscing elit pellentesque habitant morbi?
                                    </button>
                                </h3>
                                <div id="faq-content-3" class="accordion-collapse collapse" data-bs-parent="#faqlist">
                                    <div class="accordion-body">
                                        Eleifend mi in nulla posuere sollicitudin aliquam ultrices sagittis orci.
                                        Faucibus pulvinar elementum integer enim. Sem nulla pharetra diam sit amet nisl
                                        suscipit. Rutrum tellus pellentesque eu tincidunt. Lectus urna duis convallis
                                        convallis tellus. Urna molestie at elementum eu facilisis sed odio morbi quis
                                    </div>
                                </div>
                            </div><!-- # Faq item-->

                            <div class="accordion-item">
                                <h3 class="accordion-header">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#faq-content-4">
                                        <span class="num">4.</span>
                                        Ac odio tempor orci dapibus. Aliquam eleifend mi in nulla?
                                    </button>
                                </h3>
                                <div id="faq-content-4" class="accordion-collapse collapse" data-bs-parent="#faqlist">
                                    <div class="accordion-body">
                                        Dolor sit amet consectetur adipiscing elit pellentesque habitant morbi. Id
                                        interdum velit laoreet id donec ultrices. Fringilla phasellus faucibus
                                        scelerisque eleifend donec pretium. Est pellentesque elit ullamcorper dignissim.
                                        Mauris ultrices eros in cursus turpis massa tincidunt dui.
                                    </div>
                                </div>
                            </div><!-- # Faq item-->

                            <div class="accordion-item">
                                <h3 class="accordion-header">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                        data-bs-target="#faq-content-5">
                                        <span class="num">5.</span>
                                        Tempus quam pellentesque nec nam aliquam sem et tortor consequat?
                                    </button>
                                </h3>
                                <div id="faq-content-5" class="accordion-collapse collapse" data-bs-parent="#faqlist">
                                    <div class="accordion-body">
                                        Molestie a iaculis at erat pellentesque adipiscing commodo. Dignissim
                                        suspendisse in est ante in. Nunc vel risus commodo viverra maecenas accumsan.
                                        Sit amet nisl suscipit adipiscing bibendum est. Purus gravida quis blandit
                                        turpis cursus in
                                    </div>
                                </div>
                            </div><!-- # Faq item-->

                        </div>

                    </div>
                </div>

            </div>
        </section><!-- End Frequently Asked Questions Section -->

        <!-- ======= Recent Blog Posts Section ======= -->
        <section id="recent-posts" class="recent-posts sections-bg" style="display: none;">
            <div class="container" data-aos="fade-up">

                <div class="section-header">
                    <h2>Recent Blog Posts</h2>
                    <p>Consequatur libero assumenda est voluptatem est quidem illum et officia imilique qui vel
                        architecto accusamus fugit aut qui distinctio</p>
                </div>

                <div class="row gy-4">

                    <div class="col-xl-4 col-md-6">
                        <article>

                            <div class="post-img">
                                <img src="assets/img/blog/blog-1.jpg" alt="" class="img-fluid">
                            </div>

                            <p class="post-category">Politics</p>

                            <h2 class="title">
                                <a href="blog-details.html">Dolorum optio tempore voluptas dignissimos</a>
                            </h2>

                            <div class="d-flex align-items-center">
                                <img src="assets/img/blog/blog-author.jpg" alt=""
                                    class="img-fluid post-author-img flex-shrink-0">
                                <div class="post-meta">
                                    <p class="post-author">Maria Doe</p>
                                    <p class="post-date">
                                        <time datetime="2022-01-01">Jan 1, 2022</time>
                                    </p>
                                </div>
                            </div>

                        </article>
                    </div><!-- End post list item -->

                    <div class="col-xl-4 col-md-6">
                        <article>

                            <div class="post-img">
                                <img src="assets/img/blog/blog-2.jpg" alt="" class="img-fluid">
                            </div>

                            <p class="post-category">Sports</p>

                            <h2 class="title">
                                <a href="blog-details.html">Nisi magni odit consequatur autem nulla dolorem</a>
                            </h2>

                            <div class="d-flex align-items-center">
                                <img src="assets/img/blog/blog-author-2.jpg" alt=""
                                    class="img-fluid post-author-img flex-shrink-0">
                                <div class="post-meta">
                                    <p class="post-author">Allisa Mayer</p>
                                    <p class="post-date">
                                        <time datetime="2022-01-01">Jun 5, 2022</time>
                                    </p>
                                </div>
                            </div>

                        </article>
                    </div><!-- End post list item -->

                    <div class="col-xl-4 col-md-6">
                        <article>

                            <div class="post-img">
                                <img src="assets/img/blog/blog-3.jpg" alt="" class="img-fluid">
                            </div>

                            <p class="post-category">Entertainment</p>

                            <h2 class="title">
                                <a href="blog-details.html">Possimus soluta ut id suscipit ea ut in quo quia et
                                    soluta</a>
                            </h2>

                            <div class="d-flex align-items-center">
                                <img src="assets/img/blog/blog-author-3.jpg" alt=""
                                    class="img-fluid post-author-img flex-shrink-0">
                                <div class="post-meta">
                                    <p class="post-author">Mark Dower</p>
                                    <p class="post-date">
                                        <time datetime="2022-01-01">Jun 22, 2022</time>
                                    </p>
                                </div>
                            </div>

                        </article>
                    </div><!-- End post list item -->

                </div><!-- End recent posts list -->

            </div>
        </section><!-- End Recent Blog Posts Section -->

        <!-- ======= Contact Section ======= -->
        <section id="contact" class="contact">
            <div class="container" data-aos="fade-up">

                <div class="section-header">
                    <h2>Contact Us</h2>

                </div>

                <div class="row gx-lg-0 gy-4">

                    <div class="col-lg-4">

                        <div class="info-container d-flex flex-column align-items-center justify-content-center">
                            <div class="info-item d-flex">
                                <i class="bi bi-geo-alt flex-shrink-0"></i>
                                <div>
                                    <h4>Location:</h4>
                                    <p> 7th floor, Pantomath Nucleus House, <br>
                                        Andheri (E). Mumbai 400072</p>
                                </div>
                            </div><!-- End Info Item -->

                            <div class="info-item d-flex">
                                <i class="bi bi-envelope flex-shrink-0"></i>
                                <div>
                                    <h4>Email:</h4>
                                    <p>contactus@pentationanalytics.com</p>
                                </div>
                            </div><!-- End Info Item -->

                            <div class="info-item d-flex">
                                <i class="bi bi-phone flex-shrink-0"></i>
                                <div>
                                    <h4>Call:</h4>
                                    <p>+91 9930018964</p>
                                </div>
                            </div><!-- End Info Item -->

                            <div class="info-item d-none">
                                <i class="bi bi-clock flex-shrink-0"></i>
                                <div>
                                    <h4>Open Hours:</h4>
                                    <p>Mon-Fri: 10 AM - 7 PM</p>
                                </div>
                            </div><!-- End Info Item -->
                        </div>

                    </div>

                    <div class="col-lg-8">
                        <form action="forms/contact.php" method="post" role="form" class="php-email-form">
                            <div class="row">
                                <div class="col-md-6 form-group">
                                    <input type="text" name="name" class="form-control" id="name"
                                        placeholder="Your Name" required>
                                </div>
                                <div class="col-md-6 form-group mt-3 mt-md-0">
                                    <input type="email" class="form-control" name="email" id="email"
                                        placeholder="Your Email" required>
                                </div>
                            </div>
                           <!--  <div class="form-group mt-3">
                                <input type="text" class="form-control" name="subject" id="subject"
                                    placeholder="Subject" required>
                            </div> -->
                            <div class="form-group mt-3">
                                <textarea class="form-control" name="message" rows="7" placeholder="Message"
                                    required></textarea>
                            </div>
                            <div class="my-3">
                                <div class="loading">Loading</div>
                                <div class="error-message"></div>
                                <div class="sent-message">Your message has been sent. Thank you!</div>
                            </div>
                            <div class="text-center"><button type="submit">Send Message</button></div>
                        </form>
                    </div><!-- End Contact Form -->

                </div>

            </div>
        </section><!-- End Contact Section -->

    </main><!-- End #main -->

    <!-- ======= Footer ======= -->
    <footer id="footer" class="footer" style="display: none;">

        <div class="container">
            <div class="row gy-4">
                <div class="col-lg-5 col-md-12 footer-info">
                    <a href="index.html" class="logo d-flex align-items-center">
                        <span>Impact</span>
                    </a>
                    <p>Cras fermentum odio eu feugiat lide par naso tierra. Justo eget nada terra videa magna derita
                        valies darta donna mare fermentum iaculis eu non diam phasellus.</p>
                    <div class="social-links d-flex mt-4">
                        <a href="#" class="twitter"><i class="bi bi-twitter"></i></a>
                        <a href="#" class="facebook"><i class="bi bi-facebook"></i></a>
                        <a href="#" class="instagram"><i class="bi bi-instagram"></i></a>
                        <a href="#" class="linkedin"><i class="bi bi-linkedin"></i></a>
                    </div>
                </div>

                <div class="col-lg-2 col-6 footer-links">
                    <h4>Useful Links</h4>
                    <ul>
                        <li><a href="#">Home</a></li>
                        <li><a href="about-us.html">About us</a></li>
                        <li><a href="#">Services</a></li>
                        <li><a href="#">Terms of service</a></li>
                        <li><a href="#">Privacy policy</a></li>
                    </ul>
                </div>

                <div class="col-lg-2 col-6 footer-links">
                    <h4>Our Services</h4>
                    <ul>
                        <li><a href="#">Web Design</a></li>
                        <li><a href="#">Web Development</a></li>
                        <li><a href="#">Product Management</a></li>
                        <li><a href="#">Marketing</a></li>
                        <li><a href="#">Graphic Design</a></li>
                    </ul>
                </div>

                <div class="col-lg-3 col-md-12 footer-contact text-center text-md-start">
                    <h4>Contact Us</h4>
                    <p>
                        7th floor, Pantomath Nucleus House, <br>
                        Andheri (E). Mumbai 400072<br>
                        <strong>Phone:</strong> +91 9930018964<br>
                        <strong>Email:</strong> <a href="mailto:contactus@pentationanalytics.com">contactus@pentationanalytics.com</a> <br>
                    </p>

                </div>

            </div>
        </div>

        <div class="container mt-4">
            <div class="copyright">
                &copy; Copyright <strong><span>Impact</span></strong>. All Rights Reserved
            </div>
            <div class="credits">
               
               
                
                
                Designed by <a href="https://bootstrapmade.com/">BootstrapMade</a>
            </div>
        </div>

    </footer><!-- End Footer -->
    <!-- End Footer -->

    <a href="#" class="scroll-top d-flex align-items-center justify-content-center"><i
            class="bi bi-arrow-up-short"></i></a>

    <div id="preloader"></div>
    <!-- Button trigger modal -->

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-black color-fff" style="padding: 10px;">
                    <div class="row" style="width: 100%;">
                        <div class="col-lg-8 text-end">
                            <h4 class="modal-title" id="exampleModalLabel">Data Platform Creation</h4>
                        </div>
                        <div class="col-lg-4">
                            <button type="button" class="btn-close color-fff" data-bs-dismiss="modal"
                                aria-label="Close"></button>
                        </div>
                    </div>

                </div>
                <div class="modal-body" style="padding: 0px;">
                    <img src="assets/img/data_platform.png" alt="" srcset="" style="width: 100%;">
                </div>
            </div>
        </div>
    </div>
    <!-- Vendor JS Files -->
    <script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="assets/vendor/aos/aos.js"></script>
    <script src="assets/vendor/glightbox/js/glightbox.min.js"></script>
    <script src="assets/vendor/purecounter/purecounter_vanilla.js"></script>
    <script src="assets/vendor/swiper/swiper-bundle.min.js"></script>
    <script src="assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
    <script src="assets/vendor/php-email-form/validate.js"></script>

    <!-- Template Main JS File -->
    <script src="assets/js/main.js"></script>
    <script src="https://cdn.jsdelivr.net/particles.js/2.0.0/particles.min.js"></script>
    <script>
        /* ---- particles.js config ---- */

        particlesJS("particles-js", {
            "particles": {
                "number": {
                    "value": 500,
                    "density": {
                        "enable": true,
                        "value_area": 800
                    }
                },
                "color": {
                    "value": "#bd9d63"
                },
                "fullScreen": {
                    "enable": "false",
                    "zIndex": "-1"
                },
                "shape": {
                    "type": "circle",
                    "stroke": {
                        "width": 1,
                        "color": "#000000"
                    },
                    "polygon": {
                        "nb_sides": 5
                    },
                    "image": {
                        "src": "img/github.svg",
                        "width": 100,
                        "height": 100
                    }
                },
                "opacity": {
                    "value": 2,
                    "random": false,
                    "anim": {
                        "enable": false,
                        "speed": 1,
                        "opacity_min": 0.1,
                        "sync": false
                    }
                },
                "size": {
                    "value": 6,
                    "random": true,
                    "anim": {
                        "enable": false,
                        "speed": 15,
                        "size_min": 0.1,
                        "sync": false
                    }
                },
                "line_linked": {
                    "enable": true,
                    "distance": 150,
                    "color": "#ffffff",
                    "opacity": 0.4,
                    "width": 1
                },
                "move": {
                    "enable": true,
                    "speed": 3,
                    "direction": "none",
                    "random": false,
                    "straight": false,
                    "out_mode": "out",
                    "bounce": false,
                    "attract": {
                        "enable": false,
                        "rotateX": 600,
                        "rotateY": 1200
                    }
                }
            },
            "interactivity": {
                "detect_on": "canvas",
                "events": {
                    "onhover": {
                        "enable": true,
                        "mode": "grab"
                    },
                    "onclick": {
                        "enable": true,
                        "mode": "push"
                    },
                    "resize": true
                },
                "modes": {
                    "grab": {
                        "distance": 140,
                        "line_linked": {
                            "opacity": 1
                        }
                    },
                    "bubble": {
                        "distance": 400,
                        "size": 40,
                        "duration": 2,
                        "opacity": 8,
                        "speed": 3
                    },
                    "repulse": {
                        "distance": 200,
                        "duration": 0.4
                    },
                    "push": {
                        "particles_nb": 4
                    },
                    "remove": {
                        "particles_nb": 2
                    }
                }
            },
            "retina_detect": true
        });
        // Update particles.js on window resize
        window.addEventListener('resize', function () {
            particlesJS("particles-js", {
                // Updated parameters based on window size
                // You can adjust these values as needed
                "particles": {
                    "number": {
                        "value": window.innerWidth > 768 ? 500 : 100,
                        "density": {
                            "enable": true,
                            "value_area": 800
                        }
                    },
                    "size": {
                        "value": window.innerWidth > 768 ? 6 : 2,
                        "random": true,
                        "density": {
                            "enable": true,
                            "value_area": window.innerWidth > 768 ? 800 : 100
                        },
                        "anim": {
                            "enable": false,
                            "speed": 15,
                            "size_min": 0.1,
                            "sync": false
                        }
                    },
                    "move": {
                        "speed": window.innerWidth > 768 ? 3 : 3
                    }
                }
            });
        });

        /* ---- stats.js config ---- */


        $(document).ready(function () {
            const tooltipTriggerList = document.querySelectorAll('[data-bs-toggle="tooltip"]')
            const tooltipList = [...tooltipTriggerList].map(tooltipTriggerEl => new bootstrap.Tooltip(tooltipTriggerEl));


        });
        $(".pentagon_about").hover(
            function () {
                $(this).addClass("expand");
            },
            function () {
                $(this).removeClass("expand");
            }
        );
    </script>
</body>

</html>